| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::StatusbarProgressWidget Class Reference
Inheritance diagram for Digikam::StatusbarProgressWidget:

## Public Slots
void | slotClean ()
void | slotProgressItemAdded (ProgressItem *i)
void | slotProgressItemCompleted (ProgressItem *i)
void | slotProgressItemProgress (ProgressItem *i, unsigned int value)

## Public Member Functions
| StatusbarProgressWidget (ProgressView *const progressView, QWidget *const parent, bool button=true)

## Protected Slots
void | slotBusyIndicator ()
void | slotProgressViewVisible (bool)
void | slotShowItemDelayed ()
void | updateBusyMode ()

## Protected Member Functions
void | activateSingleItemMode ()
void | connectSingleItem ()
bool | eventFilter (QObject *, QEvent *) override
void | setMode ()